.page-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.page-header button{
    height: 40px;
}

#block {
    width: 100px;
    height: 75px;
}

#sieve-container {
    width: 100%;
}

#sieve {
    width: 100px;
    height: 75px;
}

#items-body {
    display:flex;
    flex-wrap: wrap;
    
    min-height: 60px;
    margin-bottom: 10px;
}

#items-body .item-icn{
    margin-bottom: 10px;
}

#tools-body {
    display: flex;
    flex-wrap: wrap;
}

.btns-row{
    display: flex;
    justify-content: space-between;

}

#add-selected-item {
    height: 50px;
    width: 50px;
    background-color: transparent;
    border-width: 4px;
    color: black;
}

#remove-selected-item {
    height: 50px;
    width: 50px;
    background-color: transparent;
    border-width: 4px;
    color: black;
}

.item-icn {
    width: 50px;
    height: 50px;
}

.item-icn img {
    width: 100%;
    height: 100%;
    margin: 0;
    
}

.item-icn p {
    position: relative;
    bottom: 18px;
    left: 0px;
    text-align: right;
}

#tools-body td{
    display: flex;
    align-items: center;
}

#recipes-body {
    height: 70vh !important;
    overflow-y: scroll;
}

#recipes-body .recipe-row {
    display: flex;
    width: 100%;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid lightgray;
    padding-bottom:5px;
    padding-top: 5px;
}

#recipes-body .recipe-row .recipe-content{
    display: flex;
    align-items: center;
    gap: 10px;
    width: 100%;
}

.task-content {
    display:flex;
    justify-content: center;
    margin-bottom: 30px;
}

.mining-tool{
    display:flex;
    align-items: center;
    gap: 10px;
}

#drag-item{
    position:absolute;
    transform:translate(-50%,-50%);
    height:50px;
    width:50px;
    pointer-events: none;
    z-index: 10;
    /* border-radius:50%; */
    /* border:2px solid black; */
}

.item-icn-no-click{
    width: 50px;
    height: 50px;
    pointer-events: none;
}

.item-icn-no-click img {
    width: 100%;
    height: 100%;
    margin: 0;
    pointer-events: none;
}

.item-icn-no-click p {
    pointer-events: none;
    position: relative;
    bottom: 18px;
    left: 0px;
    text-align: right;
}

#smelting-container {
    width: 100%;
}

.furnace-bottom-row {
    display:flex;
    justify-content: space-between;
    margin-top: 10px;
}

.furnace-slot {
    width: 60px;
    height: 60px;
    background-color: transparent !important;
    border-width: 4px !important;
    padding: 0 !important;
    color: black !important;
    display: flex;
    justify-content: center;
    align-items: center;
}

.divider-container {
    height: 50px;
    width: 10px;
    z-index: 1;
}

.item-divider {
    height: 50px;
    width: 20px;
    background-color: green;
    opacity: 0;
    border-radius: 5px;
    position: relative;
    left: -5px;
    /* pointer-events: none;  */
}

.item-divider:hover{
    opacity: .3;
}

.tool-divider {
    height: 50px;
    width: 20px;
    background-color: green;
    opacity: 0;
    border-radius: 5px;
    position: relative;
    left: -5px;
}

.tool-divider:hover{
    opacity: .3;
}

#item-tooltip{
    position: absolute;
    background-color: #333;
    padding: 10px;
    border-radius: 10px;
    z-index: 2;
    filter: drop-shadow(3px 3px 2px #222);
}

#item-tooltip p{
    color: white;
    font-size: 15px;
    margin-bottom: 0;
    
}

#item-tooltip .tooltip-title{
    font-weight: bold;
}

#item-tooltip img{
    width: 30px;
    height: 30px;
    
}
